com.fasterxml.jackson.databind

## Class KeyDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.KeyDeserializer

- Direct Known Subclasses:
    KeyDeserializer.None, StdKeyDeserializer

      public abstract class KeyDeserializer
      extends java.lang.Object

  Abstract class that defines API used for deserializing JSON content field names into Java Map keys. These deserializers are only used if the Map key class is not `String` or `Object`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeyDeserializer.None` This marker class is only to be used with annotations, to indicate that no deserializer is configured.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyDeserializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `deserializeKey(java.lang.String key, DeserializationContext ctxt)` Method called to deserialize a `Map` key from JSON property name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyDeserializer

          public KeyDeserializer()

  - ### Method Detail

    - #### deserializeKey

          public abstract java.lang.Object deserializeKey(java.lang.String key,
                                        DeserializationContext ctxt)
                                                   throws java.io.IOException,
                                                          com.fasterxml.jackson.core.JsonProcessingException

      Method called to deserialize a `Map` key from JSON property name.
      Throws:
        `java.io.IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`